export default function generatePackageJson({ name, port, ...options }: {
    name: string | number;
    port: number;
    gql: boolean;
    orm: boolean;
    router: 'express';
    auth: 'jwt' | 'firebase';
    storage: 'mongodb' | 'pgsql';
}): Promise<{
    name: string | number;
    version: string;
    private: boolean;
    scripts: {
        start: string;
        "start:app": string;
        "start:server": string;
        build: string;
        test: string;
        eject: string;
    };
    eslintConfig: {
        extends: string[];
    };
    browserslist: {
        production: string[];
        development: string[];
    };
    dependencies: any;
    devDependencies: any;
}>;
//# sourceMappingURL=generatePackageJson.d.ts.map